<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserCareUserTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_care_user', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id')->comment('当前用户ID');
            $table->integer('other_user_id')->comment('被关注的用户ID');
            $table->integer('dream_number')->comment('被关注用户最新梦想数目')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_care_user');
    }
}
